CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-0856

Multiple cross-site scripting (XSS) vulnerabilities in sample applications in IBM WebSphere Application Server (WAS) 6.0.2 before 6.0.2.35, and 6.1 before 6.1.0.23 on z/OS, allow remote attackers to inject arbitrary web script or HTML via unspecified vectors.
Publish Date : 2009-03-09 Last Update Date : 2009-06-05
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Products Affected By CVE-2009-0856

# Product Type Vendor Product Version Update Edition Language
1 Application IBM Websphere Application Server 6.1 Version Details Vulnerabilities
2 Application IBM Websphere Application Server 6.1.0.0 Version Details Vulnerabilities
3 Application IBM Websphere Application Server 6.1.0.1 Version Details Vulnerabilities
4 Application IBM Websphere Application Server 6.1.0.2 Version Details Vulnerabilities
5 Application IBM Websphere Application Server 6.1.0.3 Version Details Vulnerabilities
6 Application IBM Websphere Application Server 6.1.0.4 Version Details Vulnerabilities
7 Application IBM Websphere Application Server 6.1.0.5 Version Details Vulnerabilities
8 Application IBM Websphere Application Server 6.1.0.6 Version Details Vulnerabilities
9 Application IBM Websphere Application Server 6.1.0.7 Version Details Vulnerabilities
10 Application IBM Websphere Application Server 6.1.0.8 Version Details Vulnerabilities
11 Application IBM Websphere Application Server 6.1.0.9 Version Details Vulnerabilities
12 Application IBM Websphere Application Server 6.1.0.10 Version Details Vulnerabilities
13 Application IBM Websphere Application Server 6.1.0.11 Version Details Vulnerabilities
14 Application IBM Websphere Application Server 6.1.0.12 Version Details Vulnerabilities
15 Application IBM Websphere Application Server 6.1.0.13 Version Details Vulnerabilities
16 Application IBM Websphere Application Server 6.1.0.14 Version Details Vulnerabilities
17 Application IBM Websphere Application Server 6.1.0.15 Version Details Vulnerabilities
18 Application IBM Websphere Application Server 6.1.0.16 Version Details Vulnerabilities
19 Application IBM Websphere Application Server 6.1.0.17 Version Details Vulnerabilities
20 Application IBM Websphere Application Server 6.1.0.18 Version Details Vulnerabilities
21 Application IBM Websphere Application Server 6.1.0.19 Version Details Vulnerabilities
22 Application IBM Websphere Application Server 6.1.0.20 Version Details Vulnerabilities
23 Application IBM Websphere Application Server 6.1.0.21 Version Details Vulnerabilities
24 Application IBM Websphere Application Server 6.1.0.22 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
IBM Websphere Application Server 24

- References For CVE-2009-0856

http://securitytracker.com/id?1021811
SECTRACK 1021811
http://www-01.ibm.com/support/docview.wss?uid=swg27006876 CONFIRM
http://www.securityfocus.com/bid/34001
BID 34001 IBM WebSphere Application Server Administrative Console Cross Site Scripting Vulnerability Release Date:2009-03-31
http://www.vupen.com/english/advisories/2009/1464
VUPEN ADV-2009-1464
http://www.vupen.com/english/advisories/2009/0607
VUPEN ADV-2009-0607
http://www-01.ibm.com/support/docview.wss?uid=swg1PK81212
AIXAPAR PK81212

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2009-0856

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.